Subject: Re: FAO: cfg: defaults
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 4 Jan 2003 15:36:12 -0500

[Redirecting to cygwin-apps]
On Sat, Jan 04, 2003 at 03:17:40PM -0500, Christopher Faylor wrote:
>On Sat, Jan 04, 2003 at 04:50:41PM -0000, John Morrison wrote:
>>> From: Christopher Faylor
>>> On Mon, Dec 02, 2002 at 12:56:03PM -0000, Morrison, John wrote:
>>>
>>> You'd probably want something like:
>><snip/>
>>
>>setup.hint:
>>
>>sdesc: "Conditionally move default files to proper location"
>>category: _PostInstallLast
>>requires: ash findutils fileutils sed sh-utils
>>autodep: etc/defaults/.*
>>incver_ifdep: yes
>>
>>> This would run automatically whenever packages are downloaded and
>>> installed in one shot.  It wouldn't run if someone downloads everything
>>> and then installs piecemeal, though.
>>
>>I think there are lots of things that don't work when cygwin
>>is not installed via setup.  I can't think of any other way...
>>
>>> The script to move the files would be the only thing in the package and
>>> it would be a post-install script.
>>
>>Done :)
>>
>>Please find for you perusal and review... (long links, will wrap!)
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/update-defaults/upda
>>te-defaults-1.0-.tar.bz2
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/update-defaults/defa
>>ults.html
>>(this should be added to the 'how to create a package'
>>instructions, or something like?)
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/update-defaults/setu
>>p.hint
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/update-defaults/md5s
>>um
>>
>>Also, re-done base-files using this mechanism...
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/base-files/base-file
>>s-1.2-1.tar.bz2
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/base-files/setup.hin
>>t
>>http://homepage.ntlworld.com/j-n-s.morrison/john/cygwin/base-files/md5sum
>>
>>Christopher: is this OK?
>
>You don't need my permission.  Just post to cygwin-apps and see what others
>think.  Or, since you're the package maintainer and, I'm sure that you've
>tested this, feel free to just refresh your packages.

Actually, I do have one comment.  If you are using incver_ifdep in
setup.hint then you should name the package something like
foo-000001-1.tar.bz2.  The 000001 part gets updated every time there is
a package which relies on it.  If you use something like 1.2, I'm not
sure exactly what will happen.  It may just increment it to 1.3, 1.4,
etc., but I don't know for sure.

Also, how about posting the text bits to the mailing list rather than
having us cut and paste a URL for perusal?

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/